<?php

namespace App\Classes\Modules\Steps\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use Carbon\Carbon;

class StepsObject implements DataTransferObject
{
    /** @var int */
    private $appointeeId;

    /** @var string  */
    private $reference;

    /** @var float  */
    private $sequence;

    /** @var string */
    private $obligationId;

    /**
     * StepsObject constructor.
     * @param int $appointeeId
     * @param string $reference
     * @param float $sequence
     * @param string $obligationId
     */
    public function __construct(int $appointeeId, string $reference, float $sequence, string $obligationId)
    {
        $this->appointeeId = $appointeeId;
        $this->reference = $reference;
        $this->sequence = $sequence;
        $this->obligationId = $obligationId;
    }

    /**
     * @return int
     */
    public function getAppointeeId(): int
    {
        return $this->appointeeId;
    }

    /**
     * @return string
     */
    public function getReference(): string
    {
        return $this->reference;
    }

    /**
     * @return float
     */
    public function getSequence(): float
    {
        return $this->sequence;
    }

    /**
     * @return string
     */
    public function getObligationId(): string
    {
        return $this->obligationId;
    }


}
